Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

Already on GitHub? Sign in to your account

Ruby 1.8: gem 'require_relative' необходим для запуска #51

Open
petRUShka opened this Issue Jun 12, 2011 · 2 comments

Comments

Projects
None yet
2 participants

Ruby 1.8.7 + Rails 3.

ruby-debug-ide был установлен. Пока я не установил 'require_relative' команда :Rdebugger отказывалась работать.

Просьба отметить этот gem в README

Owner

astashov commented Jun 12, 2011

Это весьма странно, никогда с таким не сталкивался. А вы уверены что это не требовалось конкретно для вашего приложения? На свежесозданном Rails проекте то же самое?

Абсолютно тоже.

[petrushka@parch webdev]$ rails new rdb_test
[petrushka@parch webdev]$ cd rdb_test/
Using /home/petrushka/.rvm/gems/ruby-1.8.7-p334
[petrushka@parch rdb_test]$ bundle install
[petrushka@parch rdb_test]$ gem uninstall require_relative
Successfully uninstalled require_relative-1.0.1

:RdbLog

    home/petrushka/.rvm/rubies/ruby-1.8.7-p334/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:54:in `gem_original_require': no such file to load -- require_relative (LoadError)
        from /home/petrushka/.rvm/rubies/ruby-1.8.7-p334/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:54:in `require'
        from /home/petrushka/.rvm/gems/ruby-1.8.7-p334/gems/linecache-0.45/lib/linecache.rb:66
        from /home/petrushka/.rvm/rubies/ruby-1.8.7-p334/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:54:in `gem_original_require'
        from /home/petrushka/.rvm/rubies/ruby-1.8.7-p334/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:54:in `require'
        from /home/petrushka/.rvm/gems/ruby-1.8.7-p334/gems/ruby-debug-base-0.10.4/lib/ruby-debug-base.rb:3
        from /home/petrushka/.rvm/rubies/ruby-1.8.7-p334/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:58:in `gem_original_require'
        from /home/petrushka/.rvm/rubies/ruby-1.8.7-p334/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:58:in `require'
        from /home/petrushka/.rvm/gems/ruby-1.8.7-p334/gems/ruby-debug-ide-0.4.16/lib/ruby-debug-ide.rb:5
        from /home/petrushka/.rvm/rubies/ruby-1.8.7-p334/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:54:in `gem_original_require'
        from /home/petrushka/.rvm/rubies/ruby-1.8.7-p334/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:54:in `require'
        from /home/petrushka/.rvm/gems/ruby-1.8.7-p334/gems/ruby-debug-ide-0.4.16/bin/rdebug-ide:7
        from /home/petrushka/.rvm/gems/ruby-1.8.7-p334/bin/rdebug-ide:19:in `load'
        from /home/petrushka/.rvm/gems/ruby-1.8.7-p334/bin/rdebug-ide:19
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment